Loading...
Searching...
No Matches
BALL::StretchComponent Class Reference

`#include <BALL/MOLMEC/COMMON/stretchComponent.h>`

Inheritance diagram for BALL::StretchComponent:

## Public Member Functions

| StretchComponent ()
| StretchComponent (ForceField &force_field)
virtual | ~StretchComponent ()
Public Member Functions inherited from BALL::ForceFieldComponent
| ForceFieldComponent ()
| ForceFieldComponent (ForceField &force_field)
| ForceFieldComponent (const ForceFieldComponent &force_field_component)
virtual | ~ForceFieldComponent ()
virtual bool | setup ()
ForceField * | getForceField () const
void | setForceField (ForceField &force_field)
void | setName (const String &name)
String | getName () const
bool | isEnabled () const
void | setEnabled (bool state)
virtual double | getEnergy () const
virtual void | update ()
double | updateScore ()
Public Member Functions inherited from BALL::ScoringComponent
| ScoringComponent ()
| ScoringComponent (const ScoringComponent &sc)
| ScoringComponent (ScoringFunction &sf)
void | selectBaseFunction (String function)
virtual | ~ScoringComponent ()
virtual void | clear ()
virtual void | setupLigand ()
ScoringFunction * | getScoringFunction () const
void | setScoringFunction (ScoringFunction &sf)
String | getName () const
void | setName (const String &name)
const String & | getTypeName ()
double | getRawScore () const
double | getScaledScore () const
virtual void | update (const vector< std::pair< Atom *, Atom * > > &pair_vector)
virtual void | setLigandIntraMolecular (bool b)
bool | isLigandIntraMolecular ()
bool | isGridable ()
bool | isAtomPairwise ()
void | setCoefficient (const double &coeff)
const double & | getCoefficient ()
void | setNormalizationParameters (double stddev, double mean)
void | getNormalizationParameters (double &stddev, double &mean)
bool | isEnabled ()
void | enable ()
void | disable ()

## Accessors

std::vector< QuadraticBondStretch::Data > | stretch_
QuadraticBondStretch | stretch_parameters_
virtual double | updateEnergy ()
virtual void | updateForces ()

## Additional Inherited Members

Protected Member Functions inherited from BALL::ScoringComponent
double | scaleScore (double score) const
ForceField * | force_field_
double | energy_
Protected Attributes inherited from BALL::ScoringComponent
bool | ligand_intra_molecular_
bool | gridable_
bool | atom_pairwise_
ScoringFunction * | scoring_function_
ScoringBaseFunction * | base_function_
double | score_
double | coefficient_
double | stddev_
double | mean_
bool | enabled_
String | type_name_

## Detailed Description

A ForceField component implementing the harmonic potential used by Amber and CHARMM

Definition at line 30 of file stretchComponent.h.

## Constructor & Destructor Documentation

## StretchComponent() [1/2]

BALL::StretchComponent::StretchComponent | ( |  | ) |

Default Constructor

## StretchComponent() [2/2]

BALL::StretchComponent::StretchComponent | ( | ForceField & | force_field | ) |

Detailed Constructor

## ~StretchComponent()

virtual BALL::StretchComponent::~StretchComponent | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## updateEnergy()

virtual double BALL::StretchComponent::updateEnergy | ( |  | ) |

virtual

Returns the energy of the force field component. The current energy for this force field component is being calculated and returned in units of kJ/mol.

  If the component isn't assigned to a ForceField object, zero is returned.

Reimplemented from BALL::ForceFieldComponent.

## updateForces()

virtual void BALL::StretchComponent::updateForces | ( |  | ) |

virtual

Updates the atomic forces in the force field. The forces created by this ForceFieldComponent are calculated for each atom and updated in the corresponding array (forces) of the ForceField instance this component is assigned to.

Reimplemented from BALL::ForceFieldComponent.

## Member Data Documentation

## stretch_

std::vector<QuadraticBondStretch::Data> BALL::StretchComponent::stretch_

protected

Definition at line 75 of file stretchComponent.h.

## stretch_parameters_

QuadraticBondStretch BALL::StretchComponent::stretch_parameters_

protected

Definition at line 79 of file stretchComponent.h.